> ## Documentation Index
> Fetch the complete documentation index at: https://docs.platform.statista.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Data

Retrieve chart data for a specific Market Insights indicator.


## OpenAPI

````yaml GET /v1/data/market-insights/indicator
openapi: 3.0.0
info:
  title: The Statista Data API
  contact:
    name: API Support
    email: api@statista.com
  version: 2.8.0
  description: >-
    The Statista Data API provides access to statistical data, market-insights
    data and reports
servers:
  - url: https://api.statista.ai/
    description: Single Server endpoint
    variables: {}
security:
  - ApiKeyAuth: []
tags: []
paths:
  /v1/data/market-insights/indicator:
    get:
      operationId: marketInsights
      parameters:
        - name: id
          in: query
          required: true
          description: >-
            The unique identifier of the Market Insights indicator to be
            retrieved.
          schema:
            type: string
            format: uuid
          explode: false
        - name: geo
          in: query
          required: false
          description: >-
            Comma-separated list of geo codes. Max items: 5.  Available geo
            codes per indicator are part of the search result. Defaults to 'WLD'
          schema:
            type: string
            default: WLD
          explode: false
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Api.Response.Data.MarketInsightsIndicator'
        '400':
          description: The server could not understand the request due to invalid syntax.
        '401':
          description: Access is unauthorized.
        '403':
          description: Access is forbidden.
        '404':
          description: The server cannot find the requested resource.
components:
  schemas:
    Api.Response.Data.MarketInsightsIndicator:
      type: object
      required:
        - identifier
        - title
        - description
        - chart
      properties:
        identifier:
          type: string
          description: A unique ID for this indicator. Helps find or refer to this data.
        title:
          type: string
          description: Short headline, what the data is about.
        description:
          type: string
          description: A short text explaining the most important facts in the data.
        market_type:
          type: string
          description: The type of market this data is descrypting.
        market_type_description:
          type: string
          description: A short text that explains what the market is about.
        chart:
          allOf:
            - $ref: '#/components/schemas/Api.Response.Data.MarketInsightsChart'
          description: The chart data, covering one or more geo locations.
    Api.Response.Data.MarketInsightsChart:
      type: object
      required:
        - name
        - graphType
        - data
      properties:
        name:
          type: string
          description: The name of the chart. It tells what the data is about.
        graphType:
          type: string
          description: The default graph rendering type.
        unit:
          type: string
          description: The unit description for the numeric data points.
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/Api.Response.Data.MarketInsightsChartDataPoint
          description: The chart data points.
    Api.Response.Data.MarketInsightsChartDataPoint:
      type: object
      required:
        - geo
        - categories
        - series
      properties:
        geo:
          type: string
          description: The geo location covered in this time series.
        categories:
          type: array
          items:
            type: string
          description: The categories / headlines for the time series columns.
        series:
          type: array
          items:
            type: number
            format: float
          description: The numeric values of the time series.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````